Create a price
Creates a new Price for an existing Product.
Creates a new Price for an existing Product.
Authorization
api-key API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Query Parameters
Product ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/prices?productId=string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "price_abc123",
"productId": "prod_xyz789",
"merchantId": "merch_def456",
"currency": "EGP",
"unitAmount": 10000,
"type": "ONE_TIME",
"active": true,
"createdAt": "2024-01-01T00:00:00.000Z"
}Create a product POST
Creates a new product. Optionally includes: - An image URL (use the /upload-url endpoint to get a one-time upload URL first) - A default price object which will be set as the default price for this product
Update a price PATCH
Updates the specified price by setting the values of the parameters passed. Any parameters not provided are left unchanged.